.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptSequence.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptSequence:

VisualScriptSequence
====================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------+--------------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_steps<class_VisualScriptSequence_get_steps>`  **(** **)** const                        |
+------------------------+--------------------------------------------------------------------------------------------------+
| void                   | :ref:`set_steps<class_VisualScriptSequence_set_steps>`  **(** :ref:`int<class_int>` steps  **)** |
+------------------------+--------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`int<class_int>` **steps**

Member Function Description
---------------------------

.. _class_VisualScriptSequence_get_steps:

- :ref:`int<class_int>`  **get_steps**  **(** **)** const

.. _class_VisualScriptSequence_set_steps:

- void  **set_steps**  **(** :ref:`int<class_int>` steps  **)**


